Build 0.28.2 on Mint 20?

For discussion of topics specific to MythTV on linux
Post Reply
Crash Gordon
Newcomer
Posts: 4
Joined: Sun Jan 14, 2018 5:33 pm
United States of America

Build 0.28.2 on Mint 20?

Post by Crash Gordon » Mon Feb 08, 2021 6:38 pm

Several years ago I tried to update my backend and ended up losing the database. So I'm understandably leery of trying that again.

Now I'm building a new frontend machine and I'd like to run Mint 20 LTS on it. My current frontend is running 0.28.2 and so I'm trying to build that on the new one. It's not going smoothly.

The first error I ran across was "This PPA does not support focal" so apparently apt is out.

I installed ansible and ran the playbook from the "build from source" page on the wiki. Then I cloned the source from github and when running the configure script I get an error telling me I need FreeType installed. But I have the latest FreeType! Turns out that at some point the tool freetype-config was removed and configure requires that.

I tried editing the configure script to use the newer command from the configure script for v30 but that, surprisingly, gave me the same error. So I reverted to the unedited 0.28.2 configure script and (after some strong language) installed FreeType 2.9 which is the most recent version to include freetype-config.

Now configure completes successfully but make fails with several errors related to exiv2.

At this point I'm ready to just throw up my hands and give up on Mint 20; I can clone the drive from my existing frontend. But I'd like to have some of the new features in Mint 20!

Had anyone successfully built 0.28.2 on Mint 20 or something similarly current? Is there a walkthrough?

Post Reply